import os

from Thump.Values import Filenames
from Thump import StrOps

def tailFile(filename, lines=1):
  fd = open(filename, "r")
  fd.seek(-(512*lines), 2)
  lines = fd.readlines()
  fd.close()
  return StrOps.autoNewline(lines[-1].strip())

def getBoolFromOptionsFile(value):
  instlines = readOptionsFile()

  if instlines == None:
    return None

  for line in instlines:
    if line.find(value) == 0:
      return line.split()[1] == "yes" and 1 or 0
  else:
    return None

def readFile(filename):
  if os.path.exists(filename) and os.path.isfile(filename):
    fd = open(filename, "r")
    lines = fd.readlines()
    fd.close()
    return [ line.strip() for line in lines ]
  else:
    return []

def readOptionsFile():
  return readFile(Filenames.optionsfile)

def readPlayList():
  return readFile(Filenames.listfile)

